import { HcApi } from '../../request/index'

export default {
    //轮询获取未读消息数量
    async getUnreadMessage(form) {
        return HcApi({
            url: '/api/blade-meter/messageBiz/get-unread-message',
            method: 'get',
            params: form,
        })
    },
    //废除通知分页
    async repealPage(form) {
        return HcApi({
            url: '/api/blade-meter/messageBiz/repealPage',
            method: 'post',
            data: form,
        })
    },
    //查看
    async batchRead(ids) {
        return HcApi({
            url: '/api/blade-meter/messageBiz/batchRead',
            method: 'post',
            data: { ids },
        })
    },
    //删除
    async batchDelete(ids) {
        return HcApi({
            url: '/api/blade-meter/messageBiz/batchDelete',
            method: 'post',
            data: { ids },
        })
    },
}
